#include "MQWidget.h"
#include "CMQObject.h"

#ifndef _UIWindowDefine
#define _UIWindowDefine

class PolygonCounter;

class PolygonCounterWindow : public MQWindow
{
public:
	PolygonCounterWindow(PolygonCounter *plugin, MQWindowBase& parent);
	~PolygonCounterWindow();

	void setcurrent(int countv, int countf, int count2, int count3, int count4, int count5);
	void setall(int countv, int countf, int count2, int count3, int count4, int count5);

	PolygonCounter *m_pPlugin;
private:
	MQEdit *m_editv;
	MQEdit *m_editf;
	MQEdit *m_edit2;
	MQEdit *m_edit3;
	MQEdit *m_edit4;
	MQEdit *m_edit5;
	MQEdit *m_editva;
	MQEdit *m_editfa;
	MQEdit *m_edit2a;
	MQEdit *m_edit3a;
	MQEdit *m_edit4a;
	MQEdit *m_edit5a;
	MQCheckBox *m_checkVisible;
	MQCheckBox *m_checkAll;
	MQCheckBox *m_checkUpdate;
	MQCheckBox *m_checkFreeze;
	MQCheckBox *m_checkTriangle;
	MQCheckBox *m_checkPolygon;
	MQGroupBox *groupa;
	MQFrame *framec2;
	MQFrame *framea2;

	BOOL OnHide(MQWidgetBase *sender, MQDocument doc);
	BOOL resize(MQWidgetBase *sender, MQDocument doc);

	BOOL checkVisible(MQWidgetBase *sender, MQDocument doc);
	BOOL checkAll(MQWidgetBase *sender, MQDocument doc);
	BOOL checkUpdate(MQWidgetBase *sender, MQDocument doc);
	BOOL checkFreeze(MQWidgetBase *sender, MQDocument doc);
	BOOL checkTriangle(MQWidgetBase *sender, MQDocument doc);
	BOOL checkPolygon(MQWidgetBase *sender, MQDocument doc);
};

#endif
